@charset "UTF-8";
/* Thomas Maier, maier.css4.at, Datum: 2018-12-21 */


* {font-family:Verdana, Geneva, sans-serif; font-size:medium;}

body {text-align:center;
	  background-color:white;
	  margin:0px; 
	  background-image:url(SER_Back.svg);
	  background-size:cover;
	  background-attachment:fixed;
	  background-position:bottom right;}

#hauptinhalt {max-width:55em; 
		      width:90%;
		      margin:auto;
		      background-color:white;
		      box-shadow: 0px 0px 8px 2px rgba(0,0,0,0.58);
		      text-align:center; padding-bottom: 2em;}


b {color:white;}

#keinscript {font-size:large; color:red;}

#fehlercode {padding-bottom:0.1em; padding-top:0.1em; 
		 text-align:center; box-shadow: 0px 0px 8px 2px rgba(0,0,0,0.58);
		 font-size:8em; font-family:'Arial Black', Gadget, sans-serif;
		 color:white; text-shadow: 0px 0px 5px rgba(0, 0, 0, 1);
		 background-color:#3F0;}

#fehlerart {padding:1em; background-color:#3F0; color:black; box-shadow: 0px 8px 8px 1px rgba(0,0,0,0.58);
		    border-radius:0px 0px 30px 30px; display:inline-block; margin-bottom:1em; font-size:x-large;}

#engart {display:none; font-family:inherit; font-size:inherit; color:inherit; font-weight:bolder;}
#defehlerart {font-family:inherit; font-size:inherit; color:inherit; font-weight:bolder;}

#fehlerbeschreibung {display:none;}

#engbeschreibung {display:none; font-weight:bolder;}


#ausgabe {width:80%; display:inline-block; border-radius: 10px; border: 3px groove gray;
          font-family:Terminal, Consolas, "Courier New", Courier, "Lucida Console", Monaco, monospace; 
		  color:#3F0; background:black; padding:1em; margin-top:2em;
		  text-align:left;}

#meinHost {font-size:xx-large; font-family:'Arial Black', Gadget, sans-serif;
		   color:#F8F8F8; text-shadow: 0px 0px 2px rgba(0, 0, 0, 10); 
		   text-align:right; font-style:italic; width: 90%; }

/* DIE BUTTONS */
/* ============================================================================================ */
#dieSchalter {width:80%; margin-left:10%; font-family:"Lucida Console", Monaco, monospace;}

#neuLadenButton {animation:linear 1s reinzoomen; animation-delay:0.4s;}
#zurueckButton {animation:linear 1s reinzoomen; animation-delay:0.8s;}
#webmasterButton {animation:linear 1s reinzoomen; animation-delay:1s;}
#homeButton {animation:linear 1s reinzoomen; animation-delay:1.2s;}
#css4Button {animation:linear 1s reinzoomen; animation-delay:1.4s;}

.dieButtons, .dieButtons:link, .dieButtons:visited  {
	         font-size:medium; padding:5px; color:black;
             border:2px solid #060; border-radius:5px; background-color:#F8F8F8;
			 text-decoration:none; display:inline-block; margin-top:0.5em;}
			 
.dieButtons:hover, .dieButtons:focus, .dieButtons:active {
			background-color: #3F0;}

@keyframes reinzoomen {
	   0% {transform: scale(0,0);}
	   50% {transform: scale(1.5,1.5);}
	   100% {transform: scale(1,1);}}

/* ============================================================================================ */

@media (max-width: 900px) {

body {background:none;}

#hauptinhalt {max-width:none; 
		      width:100%;
		      margin:auto;
		      background-color:white;
		      box-shadow:none;
		      text-align:center; padding-bottom: 2em;}}

@media (max-width: 750px) {

#fehlerart {color:black; box-shadow:none;
		    border-radius:0px 0px 30px 30px; display:inline-block; margin-bottom:1em; font-size:medium;}

#ausgabe {display:block; border-radius:0px; border:none; width:80%; margin:auto; margin-top:2em;}

#fehlercode {padding-bottom:0.1em; padding-top:0.1em; 
		 text-align:center; box-shadow: none;
		 font-size:3em; font-family:"Arial Black", Gadget, sans-serif;
		 color:white; text-shadow: 0px 0px 5px rgba(0, 0, 0, 1);
		 background-color:#3F0;}

}

